Generate a Shipment Report

Creates a report of sensor data for the specified shipment(s).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
publicShipmentIds
array of strings
required

A list of public shipment IDs you would like to run a report on. Maximum of 10 shipments per report.

publicShipmentIds*
string
required
length ≥ 1

The format of the report. Values include PDF, PdfRawData, or CSV.

sensorData
array of strings
required

The sensor fields you would like to include in your report. At least one of the following values must be specified: Location, Temperature, ProbeTemperature, Humidity, Pressure, Light, Motion, Acceleration, Battery.

sensorData*
string
required
length ≥ 1

The timezone that report timestamps will display in.

string
required
length ≥ 1

Determines when the report gets generated. Values include Immediately or OnShipmentsCompletion.

string
required
length ≥ 1

Determines if each shipment specified in shipmentIds will be generated in their own file or in a single file. Values include ShipmentOwnFile or AllShipmentsOneFile.

users
array of strings | null

A list of user IDs to share the report with.

users
date-time | null

The UTC start date and time of data to be reported on. Date range defaults to the full shipment duration.

date-time | null

The UTC end date and time of data to be reported on. Date range defaults to the full shipment duration.

string
required
length ≥ 1

Determines if the shipment is visible to users in the shipment account, all shipment collaborators, or just the report creator. Values can be AccountUsers or AllShipmentCollaborators, or CreatorOnly.

Headers
int32
required

ID of the account the request will be made in.

Responses
202

Shipment report created and will be available once generated.

400

Unable to generate the shipment report. See response message for details.

401

Unauthorized

500

Internal Server Error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!